curl --request POST \
--url https://openrouter.ai/api/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input_audio": {
"data": "UklGRiQA...",
"format": "wav"
},
"language": "en",
"model": "openai/whisper-large-v3"
}
'import requests
url = "https://openrouter.ai/api/v1/audio/transcriptions"
payload = {
"input_audio": {
"data": "UklGRiQA...",
"format": "wav"
},
"language": "en",
"model": "openai/whisper-large-v3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input_audio: {data: 'UklGRiQA...', format: 'wav'},
language: 'en',
model: 'openai/whisper-large-v3'
})
};
fetch('https://openrouter.ai/api/v1/audio/transcriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "Hello, this is a test of OpenAI speech-to-text transcription.",
"usage": {
"cost": 0.000508,
"input_tokens": 83,
"output_tokens": 30,
"seconds": 9.2,
"total_tokens": 113
}
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 402,
"message": "Insufficient credits. Add more using https://openrouter.ai/credits"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 429,
"message": "Rate limit exceeded"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 502,
"message": "Provider returned error"
}
}{
"error": {
"code": 503,
"message": "Service temporarily unavailable"
}
}{
"error": {
"code": 524,
"message": "Request timed out. Please try again later."
}
}{
"error": {
"code": 529,
"message": "Provider returned error"
}
}Create transcription
Transcribes audio into text. Accepts base64-encoded audio input as JSON or an OpenAI-style multipart/form-data file upload, and returns the transcribed text.
Authorizations
API key as bearer token in Authorization header
Body
Speech-to-text request input. Accepts a JSON body with input_audio containing base64-encoded audio.
Base64-encoded audio to transcribe
Show child attributes
Show child attributes
{ "data": "UklGRiQA...", "format": "wav" }STT model identifier
"openai/whisper-large-v3"
ISO-639-1 language code (e.g., "en", "ja"). Auto-detected if omitted.
"en"
Provider-specific passthrough configuration
Show child attributes
Show child attributes
Sampling temperature for transcription
0
Response
Transcription result
STT response containing transcribed text and optional usage statistics
The transcribed text
"Hello, this is a test of OpenAI speech-to-text transcription. The weather is sunny today and the temperature is around 72 degrees."
Aggregated usage statistics for the request
Show child attributes
Show child attributes
{
"cost": 0.000508,
"input_tokens": 83,
"output_tokens": 30,
"seconds": 9.2,
"total_tokens": 113
}